import type { DefaultValues } from '../../../bridge';
import type { AlertManager, ContactPoint, DataSource, GetConfigResponse, GlobalApiCreateGrafanaUserRequest, GlobalApiResetGrafanaUserPasswordRequest, GlobalApiSelectPlanRequest, GlobalApiSyncGrafanaDataSourcesRequest, Grafana, GrafanaProductDashboard, GrafanaUser, ListContactPointsResponse, ListDataSourcesResponse, ListGrafanaProductDashboardsResponse, ListGrafanaUsersResponse, ListManagedAlertsResponse, ListPlansResponse, ListTokensResponse, Plan, RegionalApiCreateContactPointRequest, RegionalApiCreateDataSourceRequest, RegionalApiCreateTokenRequest, RegionalApiDeleteContactPointRequest, RegionalApiDisableAlertManagerRequest, RegionalApiDisableManagedAlertsRequest, RegionalApiEnableAlertManagerRequest, RegionalApiEnableManagedAlertsRequest, RegionalApiTriggerTestAlertRequest, RegionalApiUpdateDataSourceRequest, Token, UsageOverview } from './types.gen';
export declare const unmarshalContactPoint: (data: unknown) => ContactPoint;
export declare const unmarshalDataSource: (data: unknown) => DataSource;
export declare const unmarshalGrafanaProductDashboard: (data: unknown) => GrafanaProductDashboard;
export declare const unmarshalGrafanaUser: (data: unknown) => GrafanaUser;
export declare const unmarshalPlan: (data: unknown) => Plan;
export declare const unmarshalToken: (data: unknown) => Token;
export declare const unmarshalAlertManager: (data: unknown) => AlertManager;
export declare const unmarshalGetConfigResponse: (data: unknown) => GetConfigResponse;
export declare const unmarshalGrafana: (data: unknown) => Grafana;
export declare const unmarshalListContactPointsResponse: (data: unknown) => ListContactPointsResponse;
export declare const unmarshalListDataSourcesResponse: (data: unknown) => ListDataSourcesResponse;
export declare const unmarshalListGrafanaProductDashboardsResponse: (data: unknown) => ListGrafanaProductDashboardsResponse;
export declare const unmarshalListGrafanaUsersResponse: (data: unknown) => ListGrafanaUsersResponse;
export declare const unmarshalListManagedAlertsResponse: (data: unknown) => ListManagedAlertsResponse;
export declare const unmarshalListPlansResponse: (data: unknown) => ListPlansResponse;
export declare const unmarshalListTokensResponse: (data: unknown) => ListTokensResponse;
export declare const unmarshalUsageOverview: (data: unknown) => UsageOverview;
export declare const marshalGlobalApiCreateGrafanaUserRequest: (request: GlobalApiCreateGrafanaUserRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalGlobalApiResetGrafanaUserPasswordRequest: (request: GlobalApiResetGrafanaUserPasswordRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalGlobalApiSelectPlanRequest: (request: GlobalApiSelectPlanRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalGlobalApiSyncGrafanaDataSourcesRequest: (request: GlobalApiSyncGrafanaDataSourcesRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiCreateContactPointRequest: (request: RegionalApiCreateContactPointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiCreateDataSourceRequest: (request: RegionalApiCreateDataSourceRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiCreateTokenRequest: (request: RegionalApiCreateTokenRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiDeleteContactPointRequest: (request: RegionalApiDeleteContactPointRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiDisableAlertManagerRequest: (request: RegionalApiDisableAlertManagerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiDisableManagedAlertsRequest: (request: RegionalApiDisableManagedAlertsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiEnableAlertManagerRequest: (request: RegionalApiEnableAlertManagerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiEnableManagedAlertsRequest: (request: RegionalApiEnableManagedAlertsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiTriggerTestAlertRequest: (request: RegionalApiTriggerTestAlertRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegionalApiUpdateDataSourceRequest: (request: RegionalApiUpdateDataSourceRequest, defaults: DefaultValues) => Record<string, unknown>;
