import type { DefaultValues } from '../../../bridge';
import type { CheckContactsCompatibilityResponse, ClearDNSZoneRecordsResponse, CloneDNSZoneRequest, Contact, CreateDNSZoneRequest, CreateSSLCertificateRequest, DNSZone, DSRecord, DeleteDNSZoneResponse, DeleteExternalDomainResponse, DeleteSSLCertificateResponse, Domain, GetDNSZoneTsigKeyResponse, GetDNSZoneVersionDiffResponse, GetDomainAuthCodeResponse, Host, ImportProviderDNSZoneRequest, ImportProviderDNSZoneResponse, ImportRawDNSZoneRequest, ImportRawDNSZoneResponse, ListContactsResponse, ListDNSZoneNameserversResponse, ListDNSZoneRecordsResponse, ListDNSZoneVersionRecordsResponse, ListDNSZoneVersionsResponse, ListDNSZonesResponse, ListDomainHostsResponse, ListDomainsResponse, ListRenewableDomainsResponse, ListSSLCertificatesResponse, ListTasksResponse, ListTldsResponse, OrderResponse, RefreshDNSZoneRequest, RefreshDNSZoneResponse, RegisterExternalDomainResponse, RegistrarApiBuyDomainsRequest, RegistrarApiCheckContactsCompatibilityRequest, RegistrarApiCreateDomainHostRequest, RegistrarApiEnableDomainDNSSECRequest, RegistrarApiRegisterExternalDomainRequest, RegistrarApiRenewDomainsRequest, RegistrarApiTradeDomainRequest, RegistrarApiTransferInDomainRequest, RegistrarApiUpdateContactRequest, RegistrarApiUpdateDomainHostRequest, RegistrarApiUpdateDomainRequest, RestoreDNSZoneVersionResponse, SSLCertificate, SearchAvailableDomainsResponse, Task, UpdateDNSZoneNameserversRequest, UpdateDNSZoneNameserversResponse, UpdateDNSZoneRecordsRequest, UpdateDNSZoneRecordsResponse, UpdateDNSZoneRequest } from './types.gen';
export declare const unmarshalContact: (data: unknown) => Contact;
export declare const unmarshalDNSZone: (data: unknown) => DNSZone;
export declare const unmarshalHost: (data: unknown) => Host;
export declare const unmarshalSSLCertificate: (data: unknown) => SSLCertificate;
export declare const unmarshalCheckContactsCompatibilityResponse: (data: unknown) => CheckContactsCompatibilityResponse;
export declare const unmarshalClearDNSZoneRecordsResponse: (data: unknown) => ClearDNSZoneRecordsResponse;
export declare const unmarshalDeleteDNSZoneResponse: (data: unknown) => DeleteDNSZoneResponse;
export declare const unmarshalDeleteExternalDomainResponse: (data: unknown) => DeleteExternalDomainResponse;
export declare const unmarshalDeleteSSLCertificateResponse: (data: unknown) => DeleteSSLCertificateResponse;
export declare const unmarshalDSRecord: (data: unknown) => DSRecord;
export declare const unmarshalDomain: (data: unknown) => Domain;
export declare const unmarshalGetDNSZoneTsigKeyResponse: (data: unknown) => GetDNSZoneTsigKeyResponse;
export declare const unmarshalGetDNSZoneVersionDiffResponse: (data: unknown) => GetDNSZoneVersionDiffResponse;
export declare const unmarshalGetDomainAuthCodeResponse: (data: unknown) => GetDomainAuthCodeResponse;
export declare const unmarshalImportProviderDNSZoneResponse: (data: unknown) => ImportProviderDNSZoneResponse;
export declare const unmarshalImportRawDNSZoneResponse: (data: unknown) => ImportRawDNSZoneResponse;
export declare const unmarshalListContactsResponse: (data: unknown) => ListContactsResponse;
export declare const unmarshalListDNSZoneNameserversResponse: (data: unknown) => ListDNSZoneNameserversResponse;
export declare const unmarshalListDNSZoneRecordsResponse: (data: unknown) => ListDNSZoneRecordsResponse;
export declare const unmarshalListDNSZoneVersionRecordsResponse: (data: unknown) => ListDNSZoneVersionRecordsResponse;
export declare const unmarshalListDNSZoneVersionsResponse: (data: unknown) => ListDNSZoneVersionsResponse;
export declare const unmarshalListDNSZonesResponse: (data: unknown) => ListDNSZonesResponse;
export declare const unmarshalListDomainHostsResponse: (data: unknown) => ListDomainHostsResponse;
export declare const unmarshalListDomainsResponse: (data: unknown) => ListDomainsResponse;
export declare const unmarshalListRenewableDomainsResponse: (data: unknown) => ListRenewableDomainsResponse;
export declare const unmarshalListSSLCertificatesResponse: (data: unknown) => ListSSLCertificatesResponse;
export declare const unmarshalTask: (data: unknown) => Task;
export declare const unmarshalListTasksResponse: (data: unknown) => ListTasksResponse;
export declare const unmarshalListTldsResponse: (data: unknown) => ListTldsResponse;
export declare const unmarshalOrderResponse: (data: unknown) => OrderResponse;
export declare const unmarshalRefreshDNSZoneResponse: (data: unknown) => RefreshDNSZoneResponse;
export declare const unmarshalRegisterExternalDomainResponse: (data: unknown) => RegisterExternalDomainResponse;
export declare const unmarshalRestoreDNSZoneVersionResponse: (data: unknown) => RestoreDNSZoneVersionResponse;
export declare const unmarshalSearchAvailableDomainsResponse: (data: unknown) => SearchAvailableDomainsResponse;
export declare const unmarshalUpdateDNSZoneNameserversResponse: (data: unknown) => UpdateDNSZoneNameserversResponse;
export declare const unmarshalUpdateDNSZoneRecordsResponse: (data: unknown) => UpdateDNSZoneRecordsResponse;
export declare const marshalCloneDNSZoneRequest: (request: CloneDNSZoneRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateDNSZoneRequest: (request: CreateDNSZoneRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateSSLCertificateRequest: (request: CreateSSLCertificateRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalImportProviderDNSZoneRequest: (request: ImportProviderDNSZoneRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalImportRawDNSZoneRequest: (request: ImportRawDNSZoneRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRefreshDNSZoneRequest: (request: RefreshDNSZoneRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiBuyDomainsRequest: (request: RegistrarApiBuyDomainsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiCheckContactsCompatibilityRequest: (request: RegistrarApiCheckContactsCompatibilityRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiCreateDomainHostRequest: (request: RegistrarApiCreateDomainHostRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalDSRecord: (request: DSRecord, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiEnableDomainDNSSECRequest: (request: RegistrarApiEnableDomainDNSSECRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiRegisterExternalDomainRequest: (request: RegistrarApiRegisterExternalDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiRenewDomainsRequest: (request: RegistrarApiRenewDomainsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiTradeDomainRequest: (request: RegistrarApiTradeDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiTransferInDomainRequest: (request: RegistrarApiTransferInDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiUpdateContactRequest: (request: RegistrarApiUpdateContactRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiUpdateDomainHostRequest: (request: RegistrarApiUpdateDomainHostRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRegistrarApiUpdateDomainRequest: (request: RegistrarApiUpdateDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDNSZoneNameserversRequest: (request: UpdateDNSZoneNameserversRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDNSZoneRecordsRequest: (request: UpdateDNSZoneRecordsRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDNSZoneRequest: (request: UpdateDNSZoneRequest, defaults: DefaultValues) => Record<string, unknown>;
