import type { DefaultValues } from '../../../bridge';
import type { BackendStage, CacheStage, CheckDomainRequest, CheckDomainResponse, CheckLbOriginRequest, CheckLbOriginResponse, CheckPEMChainRequest, CheckPEMChainResponse, CreateBackendStageRequest, CreateCacheStageRequest, CreateDNSStageRequest, CreatePipelineRequest, CreatePurgeRequestRequest, CreateTLSStageRequest, DNSStage, GetBillingResponse, ListBackendStagesResponse, ListCacheStagesResponse, ListDNSStagesResponse, ListPipelinesResponse, ListPipelinesWithStagesResponse, ListPlansResponse, ListPurgeRequestsResponse, ListTLSStagesResponse, Pipeline, PipelineStages, Plan, PurgeRequest, SelectPlanRequest, TLSStage, UpdateBackendStageRequest, UpdateCacheStageRequest, UpdateDNSStageRequest, UpdatePipelineRequest, UpdateTLSStageRequest } from './types.gen';
export declare const unmarshalBackendStage: (data: unknown) => BackendStage;
export declare const unmarshalCacheStage: (data: unknown) => CacheStage;
export declare const unmarshalDNSStage: (data: unknown) => DNSStage;
export declare const unmarshalPipeline: (data: unknown) => Pipeline;
export declare const unmarshalTLSStage: (data: unknown) => TLSStage;
export declare const unmarshalPipelineStages: (data: unknown) => PipelineStages;
export declare const unmarshalPurgeRequest: (data: unknown) => PurgeRequest;
export declare const unmarshalCheckDomainResponse: (data: unknown) => CheckDomainResponse;
export declare const unmarshalCheckLbOriginResponse: (data: unknown) => CheckLbOriginResponse;
export declare const unmarshalCheckPEMChainResponse: (data: unknown) => CheckPEMChainResponse;
export declare const unmarshalGetBillingResponse: (data: unknown) => GetBillingResponse;
export declare const unmarshalListBackendStagesResponse: (data: unknown) => ListBackendStagesResponse;
export declare const unmarshalListCacheStagesResponse: (data: unknown) => ListCacheStagesResponse;
export declare const unmarshalListDNSStagesResponse: (data: unknown) => ListDNSStagesResponse;
export declare const unmarshalListPipelinesResponse: (data: unknown) => ListPipelinesResponse;
export declare const unmarshalListPipelinesWithStagesResponse: (data: unknown) => ListPipelinesWithStagesResponse;
export declare const unmarshalListPlansResponse: (data: unknown) => ListPlansResponse;
export declare const unmarshalListPurgeRequestsResponse: (data: unknown) => ListPurgeRequestsResponse;
export declare const unmarshalListTLSStagesResponse: (data: unknown) => ListTLSStagesResponse;
export declare const unmarshalPlan: (data: unknown) => Plan;
export declare const marshalCheckDomainRequest: (request: CheckDomainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCheckLbOriginRequest: (request: CheckLbOriginRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCheckPEMChainRequest: (request: CheckPEMChainRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateBackendStageRequest: (request: CreateBackendStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateCacheStageRequest: (request: CreateCacheStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateDNSStageRequest: (request: CreateDNSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePipelineRequest: (request: CreatePipelineRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreatePurgeRequestRequest: (request: CreatePurgeRequestRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateTLSStageRequest: (request: CreateTLSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSelectPlanRequest: (request: SelectPlanRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateBackendStageRequest: (request: UpdateBackendStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateCacheStageRequest: (request: UpdateCacheStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateDNSStageRequest: (request: UpdateDNSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdatePipelineRequest: (request: UpdatePipelineRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateTLSStageRequest: (request: UpdateTLSStageRequest, defaults: DefaultValues) => Record<string, unknown>;
